import java.io.FileReader;
import java_cup.runtime.Symbol;

class Main {

  static public void main(String[] args) throws Exception{
      
      String inputFileName = null;
      boolean isDebugOn = false;

      if(args.length == 1){
          inputFileName = args[0];
      } else if(args.length == 2 && args[0].equals("-debug")){
          inputFileName = args[1];
          isDebugOn = true;
      } else {
          System.err.println("Usage: java -jar Compiler.jar [-debug] inputfile");
          System.exit(1);
      }

      Parser parser = new Parser(new Yylex(new FileReader(inputFileName)));

      Symbol parseTree;

      if(isDebugOn)
        parseTree = parser.debug_parse();
      else
        parseTree = parser.parse();

      // In a real compiler, we would now do something with the parseTree.
  }
}
